<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
//only_reg();
$us_adm = intval($_GET['id']);
$ank_adm=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $us_adm LIMIT 1"));

$set['title']='Анонимные мнения о '.$ank_adm['nick']; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
aut();


if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if($user['time']<21600)$msg = strtr($msg, array('B'=>'.', 'b'=>'.', 'C'=>'.', 'c'=>'.', 'D'=>'.', 'd'=>'.', 'F'=>'.', 'f'=>'.', 'G'=>'.', 'g'=>'.', 'H'=>'.', 'h'=>'.', 'I'=>'.', 'i'=>'.', 'J'=>'.', 'j'=>'.', 'K'=>'.', 'k'=>'.', 'L'=>'.', 'l'=>'.', 'M'=>'.', 'm'=>'.', 'N'=>'...', 'n'=>'.', 'O'=>'.', 'o'=>'.', 'P'=>'.', 'p'=>'.', 'Q'=>'.', 'q'=>'.', 'R'=>'.', 'r'=>'.', 'S'=>'.', 's'=>'.', 'T'=>'.', 't'=>'.', 'U'=>'.', 'u'=>'.', 'V'=>'.', 'v'=>'.', 'W'=>'.', 'w'=>'.', 'X'=>'.', 'x'=>'.', 'Y'=>'.', 'y'=>'.', 'Z'=>'.', 'z'=>'.'));

if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
else{
$msg=mysql_escape_string($msg);
mysql_query("INSERT INTO `us_mnenija` (id_user,id_user_adm, time, msg) values('$user[id]', '$us_adm', '$time', '$msg')");
//mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Сообщение успешно добавлено');

if (isset($user) && $user['id']!=$us_adm){
$msg2="[b]Аноним[/b] оставил о Вас [url=http://".$_SERVER['HTTP_HOST']."/us_mnenija/index.php?id=$us_adm]Анонимное мнение[/url]";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us_adm', '$msg2', '$time')");
}
}
}
err();
echo "<div class='p_m'><center>";
avatar($ank_adm['id']);
echo"</center></div>";
if (isset($user)&& $user['id']!==$ank_adm['id'])
{
echo "<div class='p_m'>";
echo '<form method="post" action="index.php?id='.$us_adm.'">';
echo "Сообщение:<br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form><br/>\n";
echo "</div>";

}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `us_mnenija` WHERE `id_user_adm` = $us_adm"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "<div class='msg'>Нет сообщений<br/></div>\n";
}

$q=mysql_query("SELECT * FROM `us_mnenija` WHERE `id_user_adm` = $us_adm ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

echo"<div class='p_t'>";
echo "<img src='man_off.gif' alt='' /><font color='red'> Аноним</font>\n";
echo "(".vremja($post['time']).")<br/></div>\n";

echo"<div class='p_m'>";
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."<br />\n";

if ($post['reply']!=NULL){
echo '<b style="color: red;">Ответ:</b> '.esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['reply'])))))))).'<br/>';
}

if (isset($user) && $user['id']==$ank_adm['id']){
if ($post['reply']==NULL){
echo '<a href="reply.php?id='.$post['id'].'">Ответить</a> | ';}
else echo '<a href="reply.php?id='.$post['id'].'">Изм.</a> | ';
echo "<a href='delete.php?id=$post[id]'>Удалить</a><br />\n";
}
echo "</div>\n";

}
if ($k_page>1)str('?id='.$ank_adm['id'].'&',$k_page,$page); // Вывод страниц


include_once '../sys/inc/tfoot.php';
?>